CLEVIS-LUKS-UNLOCK(1)
=====================
:doctype: manpage


== NAME

clevis-luks-unlock - Unlocks a LUKS device bound with a Clevis policy

== SYNOPSIS

*clevis luks unlock* -d DEV [-n NAME] [-t SLT]

== OVERVIEW

The *clevis luks unlock* command unlocks a LUKS device using its already
provisioned Clevis policy. For example:

    $ clevis luks unlock -d /dev/sda

== OPTIONS

* *-d* _DEV_ :
  The LUKS device to unlock

* *-n* _NAME_ :
  The name to give the unlocked device node

* *-t* _SLT_ :
  Test the passphrase for the given slot without unlocking the device

* *-o* _PARAMS_ :
  Pass arbitrary parameters to cryptsetup; quote parameters as necessary

== SEE ALSO

link:clevis-luks-bind.1.adoc[*clevis-luks-bind*(1)]
